import { _decorator, Component, Node } from "cc";
import BaseUI from "../base/BaseUI";
const { ccclass, property } = _decorator;

@ccclass("ShopItem")
export class ShopItem extends BaseUI {
  init(i: number) {
    this.setText("lbl_name", "Item " + i);
    this.setText("lbl_price", "$" + (i + 1) * 100);
  }
  start() {}

  update(deltaTime: number) {}
}
